#include <bits\stdc++.h>

using namespace std;

int main()
{
 ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    string s;
    int min1,max1=0,p1;
    cin>>s;
    min1=900;
        map<char , int >m;
        map<char , int >::iterator itr;
      for(long i=0;i<s.length();i++)
        m[s[i]]++;
        for(itr=m.begin();itr!=m.end();itr++){
                p1=itr->second;
             if(p1<min1)min1==p1;
            if(p1>max1)max1==p1;

        }
if(max1>2)cout<<max1<<'\n';
else cout<<min1<<'\n';


    return 0;
}